/**
 * A Store is a place on a certain computer where many files (recordings) can be stored.
 * Each computer which stores recordings is one Store, and each different directory/partition
 * on it is.  
 */

package org.bucksch.zeipis.store;
import org.bucksch.zeipis.recorder.ScheduledRecording;

public interface Store
{
  public Source getFile(StoredRecording recording) throws Exception;
  public Target saveFile(ScheduledRecording recording) throws Exception;
  public String host();
  public boolean isLocal();
  public String storeName();
  public long freeSpace();
}
